package at.kugel.tool.buildtray.action;

import at.kugel.tool.buildtray.status.SetStatusAble;

/**
 * Things the tray can do.
 */
public interface Actions {

   /**
    * Open the browser with the main page of the build server.
    */
   void openBrowser();

   /**
    * Refresh the status and set it into the tray (callback).
    */
   void refresh(SetStatusAble pTray);

   /**
    * Close the tray.
    */
   void exit();
}
